summaryrefslogtreecommitdiffstats
path: root/bin/reproducible_common.sh
diff options
context:
space:
mode:
authorHolger Levsen <holger@layer-acht.org>2016-05-07 12:34:55 +0200
committerHolger Levsen <holger@layer-acht.org>2016-05-07 12:34:55 +0200
commit9ec9086f6e8650819a0fce310312992a55c3d659 (patch)
treec7d16c580393566e9cee4f4825396ca09fcc661c /bin/reproducible_common.sh
parent165136111935237d209185e7efdc789a0dd7fdb2 (diff)
downloadjenkins.debian.net-9ec9086f6e8650819a0fce310312992a55c3d659.tar.xz
reproducible builds: notify the correct channel(s)
Diffstat (limited to 'bin/reproducible_common.sh')
-rwxr-xr-xbin/reproducible_common.sh4
1 files changed, 3 insertions, 1 deletions
diff --git a/bin/reproducible_common.sh b/bin/reproducible_common.sh
index 219374f7..84e2fc84 100755
--- a/bin/reproducible_common.sh
+++ b/bin/reproducible_common.sh
@@ -542,8 +542,10 @@ print_out_duration() {
}
irc_message() {
+ local CHANNEL="$1"
+ shift
local MESSAGE="$@"
- kgb-client --conf /srv/jenkins/kgb/debian-reproducible.conf --relay-msg "$MESSAGE" || true # don't fail the whole job
+ kgb-client --conf /srv/jenkins/kgb/$CHANNEL.conf --relay-msg "$MESSAGE" || true # don't fail the whole job
}
call_diffoscope() {